/* Global styles */
:root {
--color-green: #5EE9B5;
}

.italic{
    font-style: italic;
    font-weight: 400;
    color: white;
}



  

/* Style de base : cache les sections hors de l'écran */
section {
    opacity: 0;
    transform: translateX(-100%);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

/* Animation lorsque la section est visible */
section.show {
    opacity: 1;
    transform: translateX(0);
}


body {
    margin: 0;
    font-family: 'Poppins', 'Roboto', sans-serif;
    background-color: #000000;
}

.number-container {
    position: absolute;
    top: 0;
    right: 40%;
    transform: translateX(0);
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    z-index: -3;
  }

  .number-container3 {
    position: absolute;
    top: 0;
    right: 80%;
    transform: translateX(0);
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    z-index: -3;
  }

  .number-container2 {
    position: absolute;
    top: 0;
    right: 60%;
    transform: translateX(0);
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    z-index: -3;
  }
  
  /* Style des chiffres */
  .number {
    font-size: 1rem;
    font-weight: 900;
    color: var(--color-green);
    margin: 1px 0;
    animation: scroll 8s linear infinite;
    opacity: 0.25;
    
  }

  .number3 {
    font-size: 1rem;
    font-weight: 900;
    color: var(--color-green);
    margin: 1px 0;
    animation: scroll 10s linear infinite;
    opacity: 0.25;
  }

  .number2 {
    font-size: 0.6rem;
    font-weight: 900;
    color: var(--color-green);
    margin: 1px 0;
    animation: scroll2 7s linear infinite;
    opacity: 0.25;
  }
  
  @keyframes scroll {
    0% {
      transform: translateY(-4000%);
    }
    100% {
      transform: translateY(100vh);
    }
  }
  
  @keyframes scroll2 {
    0% {
      transform: translateY(-7000%);
    }
    100% {
      transform: translateY(100vh);
    }
  }

  


section {
    width: 100%;
    min-height: 100vh;
    color: white;
}

.greencolor{
    color: var(--color-green);
}

h1{
    font-size: 64px;
    margin: 20px 0;
}

h2{
    font-size: 40px;
    margin: 0;
}

/*header*/
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
  left: 0;
  right: 0;
  height: 80px;
    width: 100%;
    box-sizing: border-box;
    z-index: 10;
    overflow-x: hidden;
    max-width: 1400px;
    margin: 0 auto;
}

header a.logo {
    text-decoration: none;
    color: white;
    font-size: 1.5rem;
    font-weight: bold;
}

.menu-link {
    text-decoration: none;
    color: white;
    transition: color 0.3s ease;
}

.menu-link.active {
    color: var(--color-green);
    font-weight: bold;
}


nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 80px;
}

nav ul li {
    margin: 0 15px;
}

nav ul li a {
    text-decoration: none;
    color: white;
    font-size: 20px;
    transition: color 0.3s;
}

nav ul li a:hover {
    color: var(--color-green);
}


/*****section a propos****/

#imgprofile {
    width: 500px;
    height: 500px;
    object-fit: cover;
    border-radius: 50%;
    border: 2px solid var(--color-green);
}


section#home {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
    gap: 10%;
    max-width: 1400px;
  margin: 0 auto;
  padding: 0 20px;
}

#presentation {
    max-width: 800px;
    margin-right: 20px;
    text-align: left;
}

.neon-button {
    background-color: var(--color-green);
    color: black;
    border: 2px solid transparent;
    padding: 12px 24px;
    font-size: 20px;
    cursor: pointer;
    border-radius: 888px;
    transition: all 0.3s ease;
    text-decoration: none;
}

.neon-button:hover {
    transform: scale(1.1);
    color: var(--color-green);
    border: 2px solid var(--color-green);
    background-color: white;

}

.neon-icon {
    width: 45px;
    height: 45px;
    transition: all 0.3s ease;
}

.neon-icon:hover {
    transform: scale(1.3);
}
#social{
    display: flex;
    gap: 6%;
    margin-top: 5%;
    align-items: center;
}

#home p{
    margin-bottom: 5%;
}

#home h2{
    display: inline-block;
}

@keyframes fadeInLetter {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}


.letter-by-letter {
    display: inline-block;
    white-space: nowrap;
    color: var(--color-green);
}

.letter-by-letter span {
    opacity: 0;
    animation: fadeInLetter 0.5s ease forwards;
    animation-iteration-count: infinite;
    animation-duration: 3s;
}



.letter-by-letter span:nth-child(1) {
    animation-delay: 0s;
}

.letter-by-letter span:nth-child(2) {
    animation-delay: 0.1s;
}

.letter-by-letter span:nth-child(3) {
    animation-delay: 0.2s;
}

.letter-by-letter span:nth-child(4) {
    animation-delay: 0.3s;
}

.letter-by-letter span:nth-child(5) {
    animation-delay: 0.4s;
}
.letter-by-letter span:nth-child(6) {
    animation-delay: 0.5s;
}
.letter-by-letter span:nth-child(7) {
    animation-delay: 0.6s;
}
.letter-by-letter span:nth-child(8) {
    animation-delay: 0.7s;
}
.letter-by-letter span:nth-child(9) {
    animation-delay: 0.8s;
}
.letter-by-letter span:nth-child(10) {
    animation-delay: 0.9s;
}
.letter-by-letter span:nth-child(11) {
    animation-delay: 1s;
}
.letter-by-letter span:nth-child(12) {
    animation-delay: 1.1s;
}
.letter-by-letter span:nth-child(13) {
    animation-delay: 1.2s;
}
.letter-by-letter span:nth-child(14) {
    animation-delay: 1.3s;
}
.letter-by-letter span:nth-child(15) {
    animation-delay: 1.4s;
}
.letter-by-letter span:nth-child(16) {
    animation-delay: 1.5s;
}
.letter-by-letter span:nth-child(17) {
    animation-delay: 1.6s;
}
.letter-by-letter span:nth-child(18) {
    animation-delay: 1.7s;
}
.letter-by-letter span:nth-child(19) {
    animation-delay: 1.8s;
}
.letter-by-letter span:nth-child(20) {
    animation-delay: 1.9s;
}
.letter-by-letter span:nth-child(21) {
    animation-delay: 2s;
}
.letter-by-letter span:nth-child(22) {
    animation-delay: 2.1s;
}


/** section formation**/
#formation{
    padding-top: 200px;
}

#formation li{
    margin-bottom: 10px;
}

.title{
    text-align: center;
}

.sous-title-card{
    color: var(--color-green);
}

.title p{
    color: #333;
    font-size: 1.3em;
    letter-spacing: 2px;
}

.timeline {
    margin: 5em auto;
    margin-top: 3em;
    max-width: 34.15em;
}

.checkpoint{
    max-width: 34em;
    padding-top: 2em;
    padding-bottom: 2em;
    position: relative;
}

.checkpoint .car{
    border:2px solid #888;
    border-radius: 1em;
    padding: 1.5em;
    border: 2px solid var(--color-green);
}

.checkpoint p{
    line-height: 27px;
    color: #ccc;
}

.checkpoint:nth-child(odd){
    border-left: 3px solid #888;
    padding-left: 3em;
    transform: translateX(17em);
}

.checkpoint:nth-child(even){
    border-right: 3px solid #888;
    padding-right: 3em;
    transform: translateX(-17em);
}

.checkpoint:nth-child(odd)::before,
.checkpoint:nth-child(even)::before{
    content: '';
    background: #888;
    width: 3em;
    height: 3px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.checkpoint:nth-child(odd)::before{
    left: 0;
}
.checkpoint:nth-child(even)::before{
    right: 0;
}

.checkpoint:nth-child(odd) div::before,
.checkpoint:nth-child(even) div::before{
    content: '';
    background: #fff;
    box-shadow: 0 0 0.5em #0d71fc;
    width: 0.8em;
    height: 0.8em;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 50%;
}

.checkpoint:nth-child(odd) div::before{
    left: -0.5em;
}

.checkpoint:nth-child(even) div::before{
    right: -0.5em;
}

.icones_logi {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
}

.icones_logi .icone {
    width: 70px;
    height: 70px;
    object-fit: contain;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
}

.icones_logi .icone:hover {
    transform: scale(1.2);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);
}




/*** section projets**/
section#projets {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
    gap: 10%;
}


.infos_tags{
    display: flex;
    flex-wrap: wrap;
}

#filter_cards_project {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 80%;
    gap: 20px;
    padding: 0;
    margin: auto;
    margin-bottom: 2%;
    margin-top: 2%;
}

#filter_cards_project li {
    position: relative;
    list-style-type: none;
    border: 3px solid black;
    border-radius: 10px;
    overflow: hidden;
    cursor: pointer;
}

#filter_cards_project img {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16/9;
    transition: transform 0.3s ease;
}

#filter_cards_project li:hover img {
    transform: scale(1.1);
}

.infos_cards {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    max-height: 90vh;
    background: rgba(0, 0, 0, 0.7);
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 20px;
    transition: top 0.4s ease;
    text-align: center;
}

#filter_cards_project li:hover .infos_cards {
    top: 0;
}


.tags_cards {
    padding: 5px 10px;
    border-radius: 5px;
    margin: 5px;
    font-size: 14px;
}


/* Section Contact */
#contact {
    color: white;
    padding: 7% 0 0 0;
    text-align: center;
    min-height: 70vh;

}

.sous-titre {
    margin-bottom: 20px;
    color: var(--color-green);
    text-transform: uppercase;
    text-align: center;
}

.form-container {
    max-width: 600px;
    margin: 100px auto;
    margin-bottom: 0;
    background-color: #1c1c1c;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}

.form-group {
    margin-bottom: 20px;
    text-align: left;
}

.form-group label {
    display: block;
    font-size: 1.1rem;
    margin-bottom: 5px;
}

input, textarea {
    width: 100%;
    padding: 12px;
    font-size: 1rem;
    border: 2px solid #333;
    border-radius: 5px;
    background-color: #121212;
    color: white;
    transition: all 0.3s ease;
    box-sizing: border-box;
}

input:focus, textarea:focus {
    outline: none;
    border-color: var(--color-green);
}

textarea {
    resize: vertical;
}

input[type="submit"] {
    background-color: var(--color-green);
    color: white;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    transition: all 0.3s ease;
    margin-top: 20px;
    padding: 15px 0;
    box-sizing: border-box;
}

input[type="submit"]:hover {
    transform: scale(1.05);
}

.error-message {
    display: none;
    color: red;
    font-size: 0.9rem;
}


header nav a.active {
    color: var(--color-green);
    font-weight: bold;
}


/*****footer****/
footer {
    padding-top: 50px;
    color: white;
    background-color: #000000;
    padding-bottom: 5%;
}

footer h3 {
    font-size: 1.5rem;
    margin-bottom: 10px;
    text-align: center;
}

.line {
    margin-top: 50px;
    height: 2px;
    background-color: var(--color-green);
    width: 60%;
    margin-left: auto;
    margin-right: auto;
}

.grandcontact {
    display: flex;
    justify-content: center;
    gap: 40px;
    margin-top: 20px;
}




.menu-burger {
    display: none;
    cursor: pointer;
    width: 8%;
    height: 25px;
    position: fixed; /* ✅ fixée à l'écran */
    z-index: 200;     /* doit être au-dessus du menu */
    top: 45px;
    right: 46%;
    background-color: #000000;
}

.menu-burger div {
    background-color: #333;
    height: 4px;
    width: 100%;
    position: absolute;
    transition: all 0.3s ease;
}

.menu-burger div:nth-child(1) {
    top: 0;
}

.menu-burger div:nth-child(2) {
    top: 10px;
}

.menu-burger div:nth-child(3) {
    top: 20px;
}




@media screen and (max-width: 1150px) {

    .icones_logi .icone {
        width: 50px;
        height: 50px;
    }

    /* Réduction de la largeur de la timeline */
    #contact{
        min-height: 0;
    }
    #filter_cards_project{
        grid-template-columns: repeat(2, 1fr);
        padding-bottom: 30px;
    }
    section#contact{
        padding: 0;
    }
    .timeline p{
        text-align: center;
    }
    img#imgprofile {
        order: -1;
        margin: 0;
        padding: 0;
        margin-bottom: 6%;
}
    .timeline {
        width: 80vw;
        margin-bottom: 0;
    }
    .timeline .checkpoint {
        width: 100%;
        transform: none;
        padding-left: 0;
        padding-right: 0;
        border: none;
    }
    #home p{
        margin-bottom: 8%;
    }
    .timeline .checkpoint::before {
        width: 3px;
        height: 4em;
        top: -2em;
        left: 50%;
        transform: translateX(-50%);
    }
    .timeline .checkpoint .car::before {
        top: -0.5em;
        left: 50%;
        transform: translateX(-50%);
    }

    /* Global adjustments */
    header {
        position: static;
        padding: 20px;
        flex-direction: column;
        align-items: center;
        text-align: center;
        background-color: #000000;
    }

    nav ul {
        flex-direction: column;
        align-items: center;
        gap: 15px;
        padding: 0;
        margin: 0 auto;
        margin-top: 10px;
    }

    nav ul li {
        display: block;
        width: 100%;
        text-align: center;
    }

    nav ul li a{
        font-size: 1rem;
    }
    #imgprofile{
        width: 200px;
        height: 200px;
    }
    .menu-link {
        font-size: 1.2rem;
    }

    h1 {
        font-size: 2rem;
    }

    h2, h3, p {
        font-size: 0.8rem;
    }

    section#home {
        padding-top: 10%;
        flex-direction: column;
        text-align: center;
        justify-content: flex-start;
        height: auto;
    }

    #presentation {
        text-align: center;
        max-width: 100%;
        margin: 0 10px 0px 10px;
    }

    #social{
        justify-content: center;
    }

    #formation{
        height: auto;
        padding-top: 20%;
    }

    section{
        min-height: 0;
    }


    /* Ajustement des projets (cards) */
    .project-card {
        display: flex;
        flex-wrap: wrap;
        width: 40%;
        height: 40%;

    }
    
  

    .project-overlay h3 {
        font-size: 1rem;
    }

    /* Formulaire */
    .form-container {
        padding: 20px;
    }

    input, textarea {
        padding: 10px;
        font-size: 1rem;
    }

    input[type="submit"] {
        padding: 12px 0;
        font-size: 1rem;
    }

    /* Footer */
    footer {
        padding-bottom: 15%;
    }

    .neon-icon {
        width: 30px;
        height: 30px;
    }
    .infos_cards h2{
        font-size: 10px;
    }
    section#home {
        max-width: none;
        margin: 0;
        padding: 0;
        padding-top: 20px;
      }
    
    
    
}

@media screen and (max-width: 768px) { 
    .infos_cards {
        font-size: 10px;
        padding: 10px;
    }

    .number-container {
        display: none;
      }
    .number-container2 {
        display: none;
      }
    .number-container3 {
        display: none;
      }

    #contact{
        min-height: 0;
    }
    #filter_cards_project{
        grid-template-columns: repeat(1, 1fr);
    }
    header {
        position: static;
        padding: 10px;
        flex-direction: column;
        align-items: center;
    }

    nav ul {
        flex-direction: column;
        gap: 15px;
    }

    h1 {
        font-size: 1.8rem;
    }

    
    .project-card {
        width: 100%;
        margin-bottom: 10px;
    }
    .form-container{
        margin: 0;
    }


    nav ul {
        display: none;
        flex-direction: column;
        width: 100%;
        position: fixed;
        top: 70px;
        left: 0;
        text-align: center;
        z-index: 100;
        background-color: black;
        padding-bottom: 10%;
    }

    .menu-burger {
        margin-top: 10px;
        display: block;
        z-index: 101;
    }

    nav.active ul {
        display: flex;
    }

    nav.active .menu-burger div:nth-child(1) {
        transform: rotate(45deg);
        top: 10px;
    }

    nav.active .menu-burger div:nth-child(2) {
        opacity: 0;
    }

    nav.active .menu-burger div:nth-child(3) {
        transform: rotate(-45deg);
        top: 10px;
    }

}
@media screen and (max-width: 1500px) {
    section#home, header {
        width: 100%;
      }
    nav ul{
        gap: 50px;
    }}

@media screen and (max-width: 1400px) {
    .infos_cards {
        font-size: 13px;
        padding: 10px;
    }
    .infos_cards h2{
        font-size: 20px;
    }}
      
